%define major 1
%define libname %mklibname OIS %{major}
%define develname %mklibname OIS -d

Summary:	Object Oriented Input System
Name:		ois
Version:	1.2.0
Release:	%mkrel 4
License:	zlib
Group:		System/Libraries
URL:		http://sourceforge.net/projects/wgois/
Source0:	http://downloads.sourceforge.net/wgois/%{name}_%{version}.tar.gz
BuildRequires:	libxaw-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Object Oriented Input System (OIS) is meant to be a cross platform, 
simple solution for using all kinds of Input Devices 
(KeyBoards, Mice, Joysticks, etc) and feedback devices 
(e.g. forcefeedback).

%package -n %{libname}
Summary:	A library to %{common_summary}
Group:		System/Libraries

%description -n %{libname}
Object Oriented Input System (OIS) is meant to be a cross platform, 
simple solution for using all kinds of Input Devices 
(KeyBoards, Mice, Joysticks, etc) and feedback devices 
(e.g. forcefeedback).

%package -n %{develname}
Summary:	Development tools for programs using %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname OIS 1 -d}

%description -n	%{develname}
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%prep
%setup -qn %{name}


%build
./bootstrap
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%doc ReadMe.txt
%{_libdir}/lib*%{major}*.so

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/OIS
%{_libdir}/libOIS.so
%{_libdir}/libOIS.*a
%{_libdir}/pkgconfig/OIS.pc


%changelog
* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-4mdv2009.1
+ Revision: 302735
- rebuilt against new libxcb

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.com> 1.2.0-3mdv2009.1
+ Revision: 291816
- obsolete old devel package

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-2mdv2009.0
+ Revision: 268347
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 196379
- ressurect this package
- new version
- spec file clean etc.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 27 2007 Olivier Blin <oblin@mandriva.com> 1.0-0.rc1mdv2008.0
+ Revision: 18590
- buildrequire libtool
- initial OIS release
- Create ois

